OpenNMS API 1.2.9

## org.opennms.install
Class InstallerWebappTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.opennms.install.InstallerWebappTest

All Implemented Interfaces:
  junit.framework.Test

public class InstallerWebappTest
extends junit.framework.TestCase

Field Summary
`private java.util.LinkedList` `m_deleteMe`
`private java.util.LinkedList` `m_expecting`
`private Installer` `m_installer`
`private java.io.File` `m_opennmsXml`
`private java.io.File` `m_tmpDir`
`private java.io.File` `m_tomcat_conf_dir`
`private java.io.File` `m_tomcat_webapps`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`InstallerWebappTest()`

Method Summary
`void` `deleteExpected()`
`java.io.File` `expecting(java.io.File parent, java.lang.String name)`
`void` `setUp()`
`void` `tearDown()`
`java.io.File` `tempDir(java.io.File parent, java.lang.String name)`
`java.io.File` `tempDir(java.lang.String name)`
`java.io.File` `tempFile(java.io.File parent, java.lang.String name)`
`java.io.File` `tempFile(java.lang.String name)`
`void` `testServerXmlContext()`
`void` `testServerXmlNoContext()`
`void` `testServerXmlNoFile()`
`void` `testWebappExistingOpennms()`
`void` `testWebappInstall()`
`void` `testWebappNoOpennms()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_installer

    private Installer m_installer

### m_deleteMe

    private java.util.LinkedList m_deleteMe

### m_tmpDir

    private java.io.File m_tmpDir

### m_tomcat_webapps

    private java.io.File m_tomcat_webapps

### m_tomcat_conf_dir

    private java.io.File m_tomcat_conf_dir

### m_opennmsXml

    private java.io.File m_opennmsXml

### m_expecting

    private java.util.LinkedList m_expecting

Constructor Detail

### InstallerWebappTest

    public InstallerWebappTest()

Method Detail

### setUp

    public void setUp()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### tearDown

    public void tearDown()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testWebappInstall

    public void testWebappInstall()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testWebappExistingOpennms

    public void testWebappExistingOpennms()
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testWebappNoOpennms

    public void testWebappNoOpennms()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testServerXmlContext

    public void testServerXmlContext()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testServerXmlNoContext

    public void testServerXmlNoContext()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testServerXmlNoFile

    public void testServerXmlNoFile()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### tempFile

    public java.io.File tempFile(java.lang.String name)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### tempFile

    public java.io.File tempFile(java.io.File parent,
                                 java.lang.String name)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### tempDir

    public java.io.File tempDir(java.lang.String name)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### tempDir

    public java.io.File tempDir(java.io.File parent,
                                java.lang.String name)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### expecting

    public java.io.File expecting(java.io.File parent,
                                  java.lang.String name)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### deleteExpected

    public void deleteExpected()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.